about summary refs log tree commit diff
diff options
context:
space:
mode:
authorDominik Maier <domenukk@gmail.com>2022-09-15 17:15:15 +0200
committerDominik Maier <domenukk@gmail.com>2022-09-15 17:15:15 +0200
commit9a0cee6ce174f259b2861a5d794925f46c63c8c0 (patch)
treed292aaaae96644689ada8cf1f1849584529a7169
parent2125950a81a58132b95fc0a15fcbbcebe3d225c8 (diff)
downloadafl++-9a0cee6ce174f259b2861a5d794925f46c63c8c0.tar.gz
add temporary fix for uc until unicorn publishes a new release
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index f24c8ce3..e98ddb99 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -196,6 +196,16 @@ $MAKECMD -j1 || exit 1
 echo "[+] Build process successful!"
 
 echo "[*] Installing Unicorn python bindings..."
+cd unicorn/bindings/python || exit 1
+if [ -z "$VIRTUAL_ENV" ]; then
+  echo "[*] Info: Installing python unicornafl using --user"
+  $PYTHONBIN setup.py install --user --force --prefix=|| exit 1
+else
+  echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
+  $PYTHONBIN setup.py install --force || exit 1
+fi
+cd ../../../
+echo "[*] Installing Unicornafl python bindings..."
 cd bindings/python || exit 1
 if [ -z "$VIRTUAL_ENV" ]; then
   echo "[*] Info: Installing python unicornafl using --user"